Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class FetchProfile.Fetch

    java.lang.Object
      org.hibernate.mapping.FetchProfile.Fetch

Enclosing class:
  FetchProfile

    public static class FetchProfile.Fetch

extends Object

Defines an individual association fetch within the given profile.

Constructor Summary
`FetchProfile.Fetch(String entity, String association, String style)`

Method Summary
`String` | `getAssociation()`
`String` | `getEntity()`
`String` | `getStyle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FetchProfile.Fetch

    public FetchProfile.Fetch(String entity,
                              String association,
                              String style)

Method Detail

### getEntity

    public String getEntity()

### getAssociation

    public String getAssociation()

### getStyle

    public String getStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.